hOpenPGP-2.8.5: native Haskell implementation of OpenPGP (RFC4880)

Safe Haskell | None
Language | Haskell2010

Data.Conduit.OpenPGP.Keyring.Instances

Contents

- Orphan instances

# Orphan instances

Ord SignaturePayload Source # |

Instance details

Methods

compare :: SignaturePayload -> SignaturePayload -> Ordering Source #

(<) :: SignaturePayload -> SignaturePayload -> Bool Source #

(<=) :: SignaturePayload -> SignaturePayload -> Bool Source #

(>) :: SignaturePayload -> SignaturePayload -> Bool Source #

(>=) :: SignaturePayload -> SignaturePayload -> Bool Source #

max :: SignaturePayload -> SignaturePayload -> SignaturePayload Source #

min :: SignaturePayload -> SignaturePayload -> SignaturePayload Source #

Semigroup TK Source # |
Instance details Methods (<>) :: TK -> TK -> TK Source # sconcat :: NonEmpty TK -> TK Source # stimes :: Integral b => b -> TK -> TK Source #
Indexable KeyringIxs TK Source # |
Instance details Methods indices :: IxList KeyringIxs TK Source #